[B019] Drug approval information

get
https://connect.patsnap.com/synapse/drug/approval
Try in Sandbox

Obtain drug approval information about product, submission, etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
drug_id
Required
string68431d4745744d9e9e17a3073edd3920
Drug ID, obtain this through the drug search interface or drug autocomplete interface

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
ema
objectPlease check the form:DrugApprovalEmaDto
EMA
products
arrayPlease check the form:ApprovalProductDto
Product Basic Info
appl_no
string125057
FDA Application ID
generic
integer<int32>-
Generic, 0: No, 1: Yes
strength
string40MG/0.8ML
Strength
appl_type
stringBLA
Application Type
pack_size
string25854e08d0e9858e89ad4438028589d2
Package Size
biosimilar
integer<int32>-
Biosimilar, 0: No, 1: Yes
product_no
string25854e08d0e9858e89ad4438028589d2
EMA Production Number
trade_name
array[ { "lang": "EN", "name": "HUMIRA" } ]
Trade Name
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
data_source
stringFDA_CDER
Data Source
approval_date
integer<int64>25854e08d0e9858e89ad4438028589d2
Approval Date
market_status
object{ "display_name": [ { "lang": "EN", "name": "Approved" }, { "lang": "CN", "name": "批准上市" } ], "normalized_id": "42d0efa0fd1a48aea4913755067bc043" }
Market Status
display_name
array[ { "lang": "EN", "name": "Autologous CAR-T" }, { "lang": "CN", "name": "自体CAR-T" } ]
Dict Name
normalized_id
string2fbfdb3e92d942c48cbb0adb79f23526
Dict ID
special_review
array[ { "display_name": [ { "lang": "EN", "name": "Additional Monitoring" }, { "lang": "CN", "name": "额外监测" } ], "normalized_id": "30ffad249563481eb8fcfe4a7342269a" } ]
Special Review
applicant_holder
array[ { "display_name": [ { "lang": "EN", "name": "AbbVie, Inc." } ], "organization_id": "d88590e686ad5608bbbfeb811b14d188" } ]
Organization
display_name
array[ { "lang": "EN", "name": "Roche Holding AG" }, { "lang": "CN", "name": "罗氏" } ]
Organization Name, Referencing "CommonName"
organization_id
string87bfaf037f8e60c9e25595cd98bb27e4
Organization ID
drug_approval_id
string25854e08d0e9858e89ad4438028589d2
Drug Approval Id
last_update_date
integer<int64>1722384000000
Last Update
first_approval_date
integer<int64>25854e08d0e9858e89ad4438028589d2
First Approval Date
product_data_source
array[ { "lang": "EN", "name": "Orange Book" }, { "lang": "CN", "name": "橙皮书" } ]
Product Data Source
product_presentation
stringBlister (PVC/PE/PVDC/alu)
Package Type
content_concentration
string0.8 ml (40 mg/0.8 ml)
Volume
dosage_form_and_route
objectPlease check the form:ApprovalSubmissionDto
Dosage Form & Route
route
array[ { "display_name": [ { "lang": "EN", "name": "Subcutaneous" }, { "lang": "CN", "name": "皮下注射" } ], "normalized_id": "6e0ca63bc1734b7aa1ad7a4c846fb4ac" } ]
Route
dosage_from
array[ { "display_name": [ { "lang": "EN", "name": "Injection" }, { "lang": "CN", "name": "注射剂" } ], "normalized_id": "699243160d8d4fd8aa67da7ff18f90a9" } ]
Dosage Form
original_name
stringInjection; Subcutaneous
Original Name
submissions
arrayPlease check the form:ApprovalSubmissionDto
Submission Basic Info
disease
array[ { "disease_id": "e6ee5660ea1d44ad8edb142046da866f", "display_name": [ { "lang": "EN", "name": "Enthesitis-Related Arthritis" }, { "lang": "CN", "name": "附着点炎相关关节炎" } ] } ]
Indication
disease_id
string06a9082fe1ec4c97bea31d888b9cfdce
Disease ID
display_name
array[ { "lang": "EN", "name": "Uveitic Macular Edema" }, { "lang": "CN", "name": "葡萄膜炎黄斑水肿" } ]
Disease Name, Referencing "CommonName"
regulation
arraySTANDARD; Orphan
Approval Category
action_date
integer<int64>1698969600000
EMA Approval Date
action_type
stringApproval
Result
approval_date
integer<int64>1698969600000
FDA Approval Date
market_status
object{ "display_name": [ { "lang": "EN", "name": "Approved" }, { "lang": "CN", "name": "批准上市" } ], "normalized_id": "42d0efa0fd1a48aea4913755067bc043" }
Market Status
submission_no
integer<int64>423
Submission No
submission_type
stringSUPPL
Submission Type
drug_approval_id
string25854e08d0e9858e89ad4438028589d2
Drug Approval Id
original_regulation
stringSTANDARD; Orphan
Approval Category Original Value
submission_classification
stringLabeling
Registration Category
fda
objectPlease check the form:DrugApprovalFdaDto
FDA
products
arrayPlease check the form:ApprovalProductDto
Product Basic Info
submissions
arrayPlease check the form:ApprovalSubmissionDto
Submission Basic Info
nmpa
objectPlease check the form:DrugApprovalNmpaDto
NMPA
products
arrayPlease check the form:ApprovalProductDto
Product Basic Info
pmda
objectPlease check the form:DrugApprovalPmdaDto
PMDA
products
arrayPlease check the form:ApprovalProductDto
Product Basic Info
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "ema": {
      "products": [
        {
          "appl_no": 125057,
          "generic": 0,
          "strength": "40MG/0.8ML",
          "appl_type": "BLA",
          "pack_size": "25854e08d0e9858e89ad4438028589d2",
          "biosimilar": 0,
          "product_no": "25854e08d0e9858e89ad4438028589d2",
          "trade_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "data_source": "FDA_CDER",
          "approval_date": "25854e08d0e9858e89ad4438028589d2",
          "market_status": {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
          },
          "special_review": [
            {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
            }
          ],
          "applicant_holder": [
            {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
            }
          ],
          "drug_approval_id": "25854e08d0e9858e89ad4438028589d2",
          "last_update_date": 1722384000000,
          "first_approval_date": "25854e08d0e9858e89ad4438028589d2",
          "product_data_source": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "product_presentation": "Blister (PVC/PE/PVDC/alu)",
          "content_concentration": "0.8 ml (40 mg/0.8 ml)",
          "dosage_form_and_route": {
            "route": [
              {
                "display_name": [
                  {
                    "lang": "EN",
                    "name": "Ranibizumab (Genentech)"
                  }
                ],
                "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
              }
            ],
            "dosage_from": [
              {
                "display_name": [
                  {
                    "lang": "EN",
                    "name": "Ranibizumab (Genentech)"
                  }
                ],
                "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
              }
            ],
            "original_name": "Injection; Subcutaneous"
          }
        }
      ],
      "submissions": [
        {
          "disease": [
            {
              "disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ]
            }
          ],
          "regulation": [
            {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
            }
          ],
          "action_date": 1698969600000,
          "action_type": "Approval",
          "approval_date": 1698969600000,
          "market_status": {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
          },
          "submission_no": 423,
          "submission_type": "SUPPL",
          "drug_approval_id": "25854e08d0e9858e89ad4438028589d2",
          "original_regulation": "STANDARD; Orphan",
          "submission_classification": "Labeling"
        }
      ]
    },
    "fda": {
      "products": [
        {
          "appl_no": 125057,
          "generic": 0,
          "strength": "40MG/0.8ML",
          "appl_type": "BLA",
          "pack_size": "25854e08d0e9858e89ad4438028589d2",
          "biosimilar": 0,
          "product_no": "25854e08d0e9858e89ad4438028589d2",
          "trade_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "data_source": "FDA_CDER",
          "approval_date": "25854e08d0e9858e89ad4438028589d2",
          "market_status": {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
          },
          "special_review": [
            {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
            }
          ],
          "applicant_holder": [
            {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
            }
          ],
          "drug_approval_id": "25854e08d0e9858e89ad4438028589d2",
          "last_update_date": 1722384000000,
          "first_approval_date": "25854e08d0e9858e89ad4438028589d2",
          "product_data_source": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "product_presentation": "Blister (PVC/PE/PVDC/alu)",
          "content_concentration": "0.8 ml (40 mg/0.8 ml)",
          "dosage_form_and_route": {
            "route": [
              {
                "display_name": [
                  {
                    "lang": "EN",
                    "name": "Ranibizumab (Genentech)"
                  }
                ],
                "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
              }
            ],
            "dosage_from": [
              {
                "display_name": [
                  {
                    "lang": "EN",
                    "name": "Ranibizumab (Genentech)"
                  }
                ],
                "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
              }
            ],
            "original_name": "Injection; Subcutaneous"
          }
        }
      ],
      "submissions": [
        {
          "disease": [
            {
              "disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ]
            }
          ],
          "regulation": [
            {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
            }
          ],
          "action_date": 1698969600000,
          "action_type": "Approval",
          "approval_date": 1698969600000,
          "market_status": {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
          },
          "submission_no": 423,
          "submission_type": "SUPPL",
          "drug_approval_id": "25854e08d0e9858e89ad4438028589d2",
          "original_regulation": "STANDARD; Orphan",
          "submission_classification": "Labeling"
        }
      ]
    },
    "nmpa": {
      "products": [
        {
          "appl_no": 125057,
          "generic": 0,
          "strength": "40MG/0.8ML",
          "appl_type": "BLA",
          "pack_size": "25854e08d0e9858e89ad4438028589d2",
          "biosimilar": 0,
          "product_no": "25854e08d0e9858e89ad4438028589d2",
          "trade_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "data_source": "FDA_CDER",
          "approval_date": "25854e08d0e9858e89ad4438028589d2",
          "market_status": {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
          },
          "special_review": [
            {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
            }
          ],
          "applicant_holder": [
            {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
            }
          ],
          "drug_approval_id": "25854e08d0e9858e89ad4438028589d2",
          "last_update_date": 1722384000000,
          "first_approval_date": "25854e08d0e9858e89ad4438028589d2",
          "product_data_source": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "product_presentation": "Blister (PVC/PE/PVDC/alu)",
          "content_concentration": "0.8 ml (40 mg/0.8 ml)",
          "dosage_form_and_route": {
            "route": [
              {
                "display_name": [
                  {
                    "lang": "EN",
                    "name": "Ranibizumab (Genentech)"
                  }
                ],
                "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
              }
            ],
            "dosage_from": [
              {
                "display_name": [
                  {
                    "lang": "EN",
                    "name": "Ranibizumab (Genentech)"
                  }
                ],
                "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
              }
            ],
            "original_name": "Injection; Subcutaneous"
          }
        }
      ]
    },
    "pmda": {
      "products": [
        {
          "appl_no": 125057,
          "generic": 0,
          "strength": "40MG/0.8ML",
          "appl_type": "BLA",
          "pack_size": "25854e08d0e9858e89ad4438028589d2",
          "biosimilar": 0,
          "product_no": "25854e08d0e9858e89ad4438028589d2",
          "trade_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "data_source": "FDA_CDER",
          "approval_date": "25854e08d0e9858e89ad4438028589d2",
          "market_status": {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
          },
          "special_review": [
            {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
            }
          ],
          "applicant_holder": [
            {
              "display_name": [
                {
                  "lang": "EN",
                  "name": "Ranibizumab (Genentech)"
                }
              ],
              "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
            }
          ],
          "drug_approval_id": "25854e08d0e9858e89ad4438028589d2",
          "last_update_date": 1722384000000,
          "first_approval_date": "25854e08d0e9858e89ad4438028589d2",
          "product_data_source": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "product_presentation": "Blister (PVC/PE/PVDC/alu)",
          "content_concentration": "0.8 ml (40 mg/0.8 ml)",
          "dosage_form_and_route": {
            "route": [
              {
                "display_name": [
                  {
                    "lang": "EN",
                    "name": "Ranibizumab (Genentech)"
                  }
                ],
                "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
              }
            ],
            "dosage_from": [
              {
                "display_name": [
                  {
                    "lang": "EN",
                    "name": "Ranibizumab (Genentech)"
                  }
                ],
                "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
              }
            ],
            "original_name": "Injection; Subcutaneous"
          }
        }
      ]
    }
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms